const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    hospItalList: [{
      id: 1,
      name: "首都医科大学附属北京朝阳医院"
    }],
    hospital: '',
    imageUrl:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getHospital()
  },
  getHospital() {
    var that = this;
    app.requestP({
      url: '/hospital/getlist',
      method: 'post',
    }).then(res => {
      console.log(res.data.data);
      that.setData({
        hospItalList: res.data.data
      })
    }).catch(err=>{
      app.showToptip(that,'error',err.data.msg)
    })
  },
  setHospitalType(e) {
    this.setData({
      hospital: e.detail.value
    })
  },
  chooseImageTap() {
    var that = this;
    wx.chooseImage({
      count: 1, // 单选
      success: function (res) {
        var filePath = res.tempFilePaths && res.tempFilePaths[0]
        app.wxUploadFile({
          url: "/oss/uploadImg",
          filePath: filePath,
          name:"file",
        }).then(function(res){
          var data = JSON.parse(res.data);
          if(data.url){
            that.setData({
              imageUrl:data.url
            })
            console.log(that.data.imageUrl);
          }else{
            app.showToptip(that, "error", "上传失败请联系管理员")
          }
        }).catch(function(){
          app.showToptip(that, "error", "上传失败请联系管理员")
        })
      }
    })
  },
  formSubmit(e){
    var that = this;
    var value = e.detail.value;
    const {username,idCard,hospitalId} = value;
    if(username&&idCard&&hospitalId&&that.data.imageUrl){
      app.requestP({
        url:'/hospitalUser/joinRequest',
        method:'post',
        contentType:' application/json',
        data:{
          name:username,
          idCard,
          hospitalId,
          license:that.data.imageUrl
        }
      }).then(res=>{
        app.showToptip(that,'success',res.data.msg);
        wx.navigateTo({
          url: '/pages/my/my',
        })
      }).catch(err=>{
        app.showToptip(that,'error',err.data.msg)
      })
    }else{
      app.showToptip(that,'error','身份信息不能为空')
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})